summaryrefslogtreecommitdiff
path: root/debian/lightdm.config
diff options
context:
space:
mode:
Diffstat (limited to 'debian/lightdm.config')
-rw-r--r--debian/lightdm.config64
1 files changed, 64 insertions, 0 deletions
diff --git a/debian/lightdm.config b/debian/lightdm.config
new file mode 100644
index 0000000..62ce612
--- /dev/null
+++ b/debian/lightdm.config
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Debian lightdm package configuration script
+# based on xdm script
+# Copyright 2000-2001 Branden Robinson.
+# Licensed under the GNU General Public License, version 2. See the file
+# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
+
+set -e
+
+# source debconf library
+. /usr/share/debconf/confmodule
+
+# set default display manager
+DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
+
+OWNERS=
+if db_metaget shared/default-x-display-manager owners; then
+ OWNERS="$RET"
+fi
+
+CHOICES=
+if db_metaget shared/default-x-display-manager choices; then
+ CHOICES="$RET"
+fi
+
+if [ "$OWNERS" != "$CHOICES" ]; then
+ db_subst shared/default-x-display-manager choices "$OWNERS" || :
+ db_fset shared/default-x-display-manager seen false || :
+fi
+
+# debconf is not a registry; use the current contents of the default display
+# manager file to pre-answer the question if possible
+if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+ CURRENT_DEFAULT=$(basename "$(grep -v '^[[:space:]]*#' \
+ "$DEFAULT_DISPLAY_MANAGER_FILE" |
+ head -n 1)")
+ if [ -n "$CURRENT_DEFAULT" ]; then
+ db_set shared/default-x-display-manager "$CURRENT_DEFAULT"
+ fi
+else
+ CURRENT_DEFAULT=
+ if db_get shared/default-x-display-manager; then
+ CURRENT_DEFAULT="$RET"
+ fi
+fi
+
+db_input high shared/default-x-display-manager || :
+db_go || :
+
+# using this display manager?
+NEW_DEFAULT=
+if db_get shared/default-x-display-manager; then
+ NEW_DEFAULT="$RET"
+fi
+
+# move the default display manager file if we are going to change it
+if [ -n "$NEW_DEFAULT" ]; then
+ if [ "$NEW_DEFAULT" != "$CURRENT_DEFAULT" ]; then
+ if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ]; then
+ mv "$DEFAULT_DISPLAY_MANAGER_FILE" \
+ "${DEFAULT_DISPLAY_MANAGER_FILE}.dpkg-tmp"
+ fi
+ fi
+fi